#3 Enable basic venv smoke test in the CI
Merged 3 years ago by churchyard. Opened 3 years ago by psss.
rpms/ psss/python-virtualenv tests  into  master

file added
+40
@@ -0,0 +1,40 @@ 

+ ---

+ - hosts: localhost

+   roles:

+   - role: standard-test-basic

+     tags:

+     - classic

+     repositories:

+     - repo: "https://src.fedoraproject.org/tests/python.git"

+       dest: "python"

+     tests:

+     - smoke26:

+         dir: python/smoke

+         run: VERSION=2.6 METHOD=virtualenv TOX=false ./venv.sh

+     - smoke27:

+         dir: python/smoke

+         run: VERSION=2.7 METHOD=virtualenv ./venv.sh

+     - smoke34:

+         dir: python/smoke

+         run: VERSION=3.4 METHOD=virtualenv ./venv.sh

+     - smoke35:

+         dir: python/smoke

+         run: VERSION=3.5 METHOD=virtualenv ./venv.sh

+     - smoke36:

+         dir: python/smoke

+         run: VERSION=3.6 METHOD=virtualenv ./venv.sh

+     - smoke37:

+         dir: python/smoke

+         run: VERSION=3.7 METHOD=virtualenv ./venv.sh

+     required_packages:

+     - gcc

+     - /usr/bin/virtualenv

+     - python26

+     - python27

+     - python34

+     - python35

+     - python36

+     - python37

+     - python2-devel

+     - python3-devel

+     - python3-tox

no initial comment

Thanks for the PR. I'm not up to date as to how the centos ci fits into fedora. I'm happy to merge this in as long as it won't change the packaging itself.

It doesn't change the packaging. Yet the tests currently fail due to infrastructure issue. Not sure when that'll get fixed.

since this is the virtualenv package, I suggest we add METHOD=virtuelenv to every Python version.

this one is not needed. in fact, can we put virtual provides here and only list /usr/bin/virtualenv?

I'm :thumbsup: to merging once the comments are taken care of.

rebased onto b6fc8becd8304e336ccb75808e82f125c4bab197

3 years ago

Thanks for the feedback. I've updated the pull request according to comments. I've also removed python 2.6 from the list as the test does not work. Seems the pip is old and cannot be upgraded:

# virtualenv --python=python2.6 venv26
Running virtualenv with interpreter /usr/bin/python2.6
New python executable in /tmp/venv26/bin/python2.6
Also creating executable in /tmp/venv26/bin/python
Installing setuptools<37, pip<10, wheel<0.30...done.
# source venv26/bin/activate
(venv26) # python -m pip install pytest
/tmp/venv26/bin/python: pip is a package and cannot be directly executed
(venv26) # pip --version
pip 9.0.3 from /tmp/venv26/lib/python2.6/site-packages (python 2.6)
(venv26) # pip install --upgrade pip
DEPRECATION: Python 2.6 is no longer supported by the Python core team, please upgrade your Python. A future version of pip will drop support for Python 2.6
Requirement already up-to-date: pip in ./venv26/lib/python2.6/site-packages
You are using pip version 9.0.3, however version 18.0 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

Any hint how to get it working for 2.6 as well? The CI job has failed but this seems to be problem of the pipeline:

https://jenkins-continuous-infra.apps.ci.centos.org/blue/organizations/jenkins/fedora-rawhide-pr-pipeline/detail/fedora-rawhide-pr-pipeline/234/pipeline/

We are looking into it. I'll update the PR when we know more details.

where is

(venv26) # pip install --upgrade pip

coming from? I don't see that in https://src.fedoraproject.org/tests/python/blob/master/f/smoke/venv.sh

The ability to test 2.6 is important, as recently it broke without us noticing.

That was just my attempt to do the upgrade. But it fails with 2.6 and just keeps the old version. Any recommendation how to get a more fresh version of pip on the system for testing 2.6? Or any other way how to avoid the "pip is a package and cannot be directly executed" error?

Nope. Pip > 9 doesn't support Python 2.6. No updates there.

For:

 python -m pip install pytest
/tmp/venv26/bin/python: pip is a package and cannot be directly executed

We would probably need to just run:

pip install pytest

Instead.

OK, I'll adjust the test to make it working for 2.6 as well.

rebased onto 949c6bd450c10b2c5931f116d63f046295bd8dfb

3 years ago

rebased onto 7bfc8c1ec1987e1b6221c3f86e119cc9e8a07ff6

3 years ago

Pipe went well, but tests failed. We need to specify gcc in the requires as well. Pull request updated accordingly.

However, there is an additional error for python 2.6 test case. Not sure what might be wrong there. When I run the test locally it works fine. Need to investigate.

rebased onto 1aa278e315b9cc4d7423a9c2ea9b2504e524c384

3 years ago

Thanks for the hint. Rebased.
[citest]

Test execution is stuck. Investigating.
Seems to be a CentosCI openshift project issue.

The testing finished with the following error for Python 2.6:

{standard input}: Assembler messages:
{standard input}:330769: Warning: end of file not at end of a line; newline inserted
{standard input}:331620: Error: unknown pseudo-op: `.l'
gcc: fatal error: Killed signal terminated program cc1
compilation terminated.
error: command 'gcc' failed with exit status 1

Looks like killed? The whole log available here:

Test cases for other Python versions successfully passed.

It passes for me locally, yet it compiles Cython which might take ages. I've pushed: https://src.fedoraproject.org/tests/python/c/5169b862387116eeaec7442a48e936506800afb2?branch=master

[citest]

(The error might be not enough RAM to compile Cython.)

The tests now run for another hour and I see no useful output. What am i missing? How do I see the output of the testing script?

rebased onto e37200e5d47a0379bae358c37a41f12f95164444

3 years ago

Almost there, but the CI doesn't work again :(

Yeah, there was a problem with disk space on Jenkins. Should be fixed now. We just need to wait until a new qcow2 image is created:

https://jenkins-continuous-infra.apps.ci.centos.org/blue/organizations/jenkins/fedora-rawhide-image-test/detail/fedora-rawhide-image-test/70/pipeline

One more [citest], please ;-)

And the story continues :) Seems we hit some kvm issue:

This is supposed to be a known and already fixed issue with some nodes missing kvm support. Investigating...

Hooray! Finally :)
Fedora CI success
Package tests: passed

OK. Let's rebase and then merge?

rebased onto 7ff2e47c42c982dc40d466aec5f4164320e904b8

3 years ago

Rebased, pushed, let's see what happens ;-)

Koji build failed:

RPM build errors:
Directory not found: /builddir/build/BUILDROOT/python-virtualenv-16.0.0-5.fc30.noarch/usr/lib/python2.7/site-packages/virtualenv-*.egg-info

Oh. I know where the problem is.

Rebase now. Sorry about that.

rebased onto 688db4f

3 years ago

OK, seems we had a network issue while downloading koji build:

+ koji download-task --arch=x86_64 --arch=src --arch=noarch --logs 29377027
ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))
script returned exit code 1

One more [citest], please ;-)

This is so exciting :D

Pull-Request has been merged by churchyard

3 years ago

Thanks for the patience!

Metadata
Flags
Fedora CI
error
Package tests: errored
2 years ago
Fedora CI
success
Package tests: passed
2 years ago
Fedora CI
error
Package tests: errored
2 years ago
Fedora CI
success
Package tests: passed
2 years ago
Fedora CI
error
Package tests: errored
2 years ago
Fedora CI
error
Package tests: errored
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
failure
Package tests: failed
2 years ago
Fedora CI
success
Package tests: passed
3 years ago
Fedora CI
error
Package tests: errored
3 years ago
simple-koji-ci
success
Build completed for 688db4fa
3 years ago
Fedora CI
error
Package tests: errored
3 years ago
simple-koji-ci
failure
Build failed for 7ff2e47c
3 years ago
Fedora CI
success
Package tests: passed
3 years ago
Fedora CI
error
Package tests: errored
3 years ago
Fedora CI
error
Package tests: errored
3 years ago
simple-koji-ci
success
Build completed for e37200e5
3 years ago
Fedora CI
failure
Package tests: failed
3 years ago
Fedora CI
failure
Package tests: failed
3 years ago
Fedora CI
failure
Package tests: failed
3 years ago
All packages PR
failure
Package tests: failed
3 years ago
All packages PR
failure
Package tests: failed
3 years ago
simple-koji-ci
success
Build completed for 1aa278e3
3 years ago
All packages PR
failure
Package tests: failed
3 years ago
simple-koji-ci
success
Build completed for 7bfc8c1e
3 years ago
All packages PR
failure
Package tests: failed
3 years ago
All packages PR
error
Package tests: error
3 years ago
All packages PR
error
Package tests: error
3 years ago
All packages PR
error
Package tests: error
3 years ago
simple-koji-ci
success
Build completed for 949c6bd4
3 years ago
All packages PR
error
Package tests: error
3 years ago
simple-koji-ci
success
Build completed for b6fc8bec
3 years ago
simple-koji-ci
success
Build completed for 1c0bf8bd
3 years ago